<?php
/**
* 
* @package Football
* @version $Id: hookup_football.php 6 2011-01-09 08:02:46Z football $
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

if (!defined('IN_PHPBB'))
{
	exit;
}


/**
* Hookup points
*
* This function is called, after saving final ranking on matchday or season or after payment.
*
* @param int $user_id		User-ID 
* @param int $point_amount	Points to be added or subtracts
* @param int $book_type		add or sub points
*/
function football_hookup_points($user_id, $point_amount, $book_type)
{
	global $config, $db, $user, $phpbb_root_path, $phpEx;

	/**
	* Adding points
	*/
	
	if (defined('IN_ULTIMATE_POINTS') && $config['points_enable'])
	{
		if (!function_exists('add_points') || !function_exists('substract_points'))
		{
			includes($phpbb_root_path . 'includes/points/functions_points.' . $phpEx);
		}
		if ($book_type == 'add')
		{
			// Add cash 
			add_points($user_id, $point_amount);
		}
		else
		{
			// Substract cash 
			substract_points($user_id, $point_amount);
		}
	}
}

function hookup_number_format_points($num)
{
	global $config, $db, $user, $phpbb_root_path, $phpEx;
	
	if (defined('IN_ULTIMATE_POINTS') && $config['points_enable'])
	{
		if (!function_exists('number_format_points'))
		{
			includes($phpbb_root_path . 'includes/points/functions_points.' . $phpEx);
		}

	}
	if (!function_exists('number_format_points'))
	{
		$decimals = 2;

		return number_format($num, $decimals, ',', '.');
	}
	else
	{
		return number_format_points($num);
	}
	
}
?>